# Uses of Interface
org.jmol.api.GenericPlatform

Packages that use GenericPlatform
Package
Description
jspecview.api
jspecview.common
jspecview.java
jspecview.js2d
org.jmol.api
org.jmol.api.js
org.jmol.awt
org.jmol.awtjs
org.jmol.awtjs2d
org.jmol.g3d
Provides a software implementation of complete 3D graphics engine for rendering molecules and associated shapes.
org.jmol.util
org.jmol.viewer

## Uses of GenericPlatform in jspecview.api

Methods in jspecview.api that return GenericPlatform
Modifier and Type
Method
Description
`GenericPlatform`
JSVPanel.`getApiPlatform()`

## Uses of GenericPlatform in jspecview.common

Fields in jspecview.common declared as GenericPlatform
Modifier and Type
Field
Description
`GenericPlatform`
JSViewer.`apiPlatform`

## Uses of GenericPlatform in jspecview.java

Classes in jspecview.java that implement GenericPlatform
Modifier and Type
Class
Description
`class`
`AwtPlatform`
Methods in jspecview.java that return GenericPlatform
Modifier and Type
Method
Description
`GenericPlatform`
AwtPanel.`getApiPlatform()`

## Uses of GenericPlatform in jspecview.js2d

Classes in jspecview.js2d that implement GenericPlatform
Modifier and Type
Class
Description
`class`
`JsPlatform`
JavaScript 2D canvas version requires Ajax-based URL stream processing.
Methods in jspecview.js2d that return GenericPlatform
Modifier and Type
Method
Description
`GenericPlatform`
JsPanel.`getApiPlatform()`

## Uses of GenericPlatform in org.jmol.api

Fields in org.jmol.api declared as GenericPlatform
Modifier and Type
Field
Description
`GenericPlatform`
JmolViewer.`apiPlatform`
Methods in org.jmol.api with parameters of type GenericPlatform
Modifier and Type
Method
Description
`protected static JmolViewer`
JmolViewer.`allocateViewer(Object display, JmolAdapter modelAdapter, String fullName, URL documentBase, URL codeBase, String commandOptions, JmolStatusListener statusListener, GenericPlatform implementedPlatform)`
This is the older main access point for creating an application or applet vwr.

## Uses of GenericPlatform in org.jmol.api.js

Methods in org.jmol.api.js with parameters of type GenericPlatform
Modifier and Type
Method
Description
`Object`
JmolToJSmolInterface.`loadImage(GenericPlatform platform, String echoName, String path, byte[] bytes, Object f)`

## Uses of GenericPlatform in org.jmol.awt

Classes in org.jmol.awt that implement GenericPlatform
Modifier and Type
Class
Description
`class`
`Platform`

## Uses of GenericPlatform in org.jmol.awtjs

Classes in org.jmol.awtjs that implement GenericPlatform
Modifier and Type
Class
Description
`class`
`Platform`
WebGL interface

## Uses of GenericPlatform in org.jmol.awtjs2d

Classes in org.jmol.awtjs2d that implement GenericPlatform
Modifier and Type
Class
Description
`class`
`Platform`
JavaScript 2D canvas version requires Ajax-based URL stream processing.

## Uses of GenericPlatform in org.jmol.g3d

Methods in org.jmol.g3d with parameters of type GenericPlatform
Modifier and Type
Method
Description
`void`
Graphics3D.`initialize(Viewer vwr, GenericPlatform apiPlatform)`

## Uses of GenericPlatform in org.jmol.util

Fields in org.jmol.util declared as GenericPlatform
Modifier and Type
Field
Description
`GenericPlatform`
GData.`apiPlatform`
Methods in org.jmol.util with parameters of type GenericPlatform
Modifier and Type
Method
Description
`void`
GData.`initialize(Viewer vwr, GenericPlatform apiPlatform)`

## Uses of GenericPlatform in org.jmol.viewer

Methods in org.jmol.viewer with parameters of type GenericPlatform
Modifier and Type
Method
Description
`protected static JmolViewer`
Viewer.`allocateViewer(Object display, JmolAdapter modelAdapter, String fullName, URL documentBase, URL codeBase, String commandOptions, JmolStatusListener statusListener, GenericPlatform implementedPlatform)`
old way...